﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using FLY.Weight.OBJ_INTERFACE;
using System.Net;
using FLY.Weight.Common;
using FLY.OBJComponents.Server.OBJProxy;
using System.ComponentModel;
using FLY.Weight.Server.Model;
using FLY.OBJComponents.IService;

namespace FLY.Weight.Server.OBJProxy
{
    public class WeightSystem_OBJProxy : FObj
    {
        WeightSystem data;


        public WeightSystem_OBJProxy(int objsys_idx, WeightSystem data):base(objsys_idx)
        {
            ID = OBJ_INTERFACE.OBJ_INTERFACE.WEIGHTS_OBJ_ID;
            this.data = data;

            //--------------------------------------------------------------
            //属性同步
            Dictionary<string, INotifyPropertyChanged> objnames = new Dictionary<string, INotifyPropertyChanged>();
            objnames.Add(".", data);
            objnames.Add("Accessory", data.Accessory);
            for (int i = 0; i < data.Items.Count(); i++)
                objnames.Add($"Items[{i}]", data.Items[i]);

            var syncProp_OBJProxy = new SyncProp_OBJProxy(
                objsys_idx, ID + 1, objnames);

            var plcOS_OBJProxy = new FObjBase.Reflect.Reflect_Proxy(
                objsys_idx,
                ID + 2,
                typeof(IPLCProxySystemService),
                data.PLCos
                );


        }
    }
}
