﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Weight.UI.Client.UiModule
{
    /// <summary>
    /// Window_Thickness.xaml 的交互逻辑
    /// </summary>
    public partial class WdThicknessV5 : FLY.ControlLibrary.WindowBigClose, INotifyPropertyChanged
    {
        public int SetThickness { get; set; } = 80;

        public int FilmWidth { get; set; } = 500;


        public WdThicknessV5()
        {
            InitializeComponent();
            this.DataContext = this;
        }


        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            if (SetThickness < 10)
            {
                FLY.ControlLibrary.Window_WarningTip.Show("异常", "设置厚度 必须大于 10um");
                return;
            }

            if (FilmWidth < 300)
            {
                FLY.ControlLibrary.Window_WarningTip.Show("异常", "吹膜宽度 必须大于 300mm");
                return;
            }


            this.DialogResult = true;
            this.Close();
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }
}
